
:root {
  --bojaDisplej: rgba(0, 0, 0, 0.5);
}

.proMedjuslika {
  width: 80%;
  margin: 0 auto;
  margin-top: 2rem;
  margin-bottom: 2rem;
}

.proSlikaTekstKutija {
  width: 80%;
  margin: 0 auto;
}

.proModeli {
  width: 100%;
  margin: 0 auto;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  gap: 1rem;
}

.proSlikaDugme :hover {
  cursor: pointer;
  transform: scale(1.05);
  overflow: hidden;
}

#proRazmakProizvodi {
  height: 8rem;
}

@keyframes proDisplejOtvoriAnim{
  from {
    background-color: rgba(0, 0, 0, 0);
    backdrop-filter: blur(0px);
  }
  to {
    background-color: var(--bojaDisplej);
    backdrop-filter: blur(5px);
  }
}

@keyframes proDisplejZatvoriAnim{
  from {
    background-color: var(--bojaDisplej);
    backdrop-filter: blur(5px);
  }
  to {
    background-color: rgba(0, 0, 0, 0);
    backdrop-filter: blur(0px);
  }
}

#proDisplej {
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: var(--bojaDisplej);
  backdrop-filter: blur(5px);
  display: none;
  z-index: 11;
  /*animation-name: proDisplejOtvoriAnim;
  animation-duration: 1000ms;*/
}

.proDisplejMax {
  width: 100%;
  height: 100%;
  max-width: 1280px;
  margin: 0 auto;
  display: flex;
  align-items: center;
}
/*
@keyframes proModelKutijaOtvoriAnim{
  from {
    width: 0%;
    aspect-ratio: 2/1;
  }
  to {
    width: 80%;
    aspect-ratio: 2/1;
  }
}

@keyframes proModelKutijaZatvoriAnim{
  from {
    width: 80%;
    aspect-ratio: 2/1;
  }
  to {
    width: 0%;
    aspect-ratio: 2/1;
  }
}
*/
@keyframes proModelKutijaOtvoriAnim{
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@keyframes proModelKutijaZatvoriAnim{
  from {
    opacity: 1;
  }
  to {
    opacity: 0;
  }
}

.proModelKutija {
  width: 80%;
  aspect-ratio: none;
  margin: 0 auto;
  border-radius: 50px;
  overflow: hidden;
  /*animation-name: proModelKutijaOtvoriAnim;
  animation-duration: 200ms;*/
}

.proModelNaslov {
  width: 100%;
  height: 4rem;
  padding-left: 1rem;
  padding-right: 1rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  color: var(--bojaFuterOsnovna);
  background-color: var(--bojaNaslovPozadina);
}

.proModelNaslovKvadrat {
  height: 100%;
  aspect-ratio: 1/1;
  display: flex;
  align-items: center;
  justify-content: center;
}

.proModelNaslovKrug {
  height: 50%;
  aspect-ratio: 1/1;
  border-radius: 50%;
  background-color: crimson;
  display: flex;
  align-items: center;
  justify-content: center;
}

.proModelNaslovKrug :hover {
  cursor: pointer;
}

.proModel {
  width: 100%;
  margin: 0 auto;
  background-color: var(--bojaPozadina);
  padding: 2rem;
  padding-top: 0;
  display: grid;
  grid-template-columns: 5fr 3fr;
  gap: 2rem;
}

.proSlike {
  display: grid;
  grid-template-columns: 1fr 4fr;
  gap: 1rem;
}

.proSlicice {
  width: 10rem;
  margin-top: 1.5rem;
  margin-bottom: 1rem;
}

.proSliciceGoreDole {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
}

.proSliciceGore {
  height: 100%;
  padding-bottom: 1rem;
  display: flex;
  justify-content: space-between;
}

.proTrougaoPolozajV {
  display: flex;
  align-items: center;
}

.proSliciceSlicice {
  padding: 0.5rem;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: center;
  gap: 1rem;
}

@keyframes proTrougaoDesnoAnim{
  from {
    border-left: 10px solid #555;
  }
  to {
    border-left: 10px solid #999;
  }
}

.proTrougaoDesno {
  width: 0;
  height: 0;
  border-top: 10px solid transparent;
  border-left: 10px solid #555;
  border-bottom: 10px solid transparent;
  animation-name: proTrougaoDesnoAnim;
  animation-duration: 1s;
  animation-iteration-count: infinite;
}

@keyframes proTrougaoLevoAnim{
  from {
    border-right: 10px solid #555;
  }
  to {
    border-right: 10px solid #999;
  }
}

.proTrougaoLevo {
  width: 0;
  height: 0;
  border-top: 10px solid transparent;
  border-right: 10px solid #555;
  border-bottom: 10px solid transparent;
  animation-name: proTrougaoLevoAnim;
  animation-duration: 1s;
  animation-iteration-count: infinite;
}

.proTrougaoGore {
  width: 0;
  height: 0;
  border-left: 15px solid transparent;
  border-right: 15px solid transparent;
  border-bottom: 15px solid #999;
  cursor: pointer;
}

.proTrougaoDole {
  width: 0;
  height: 0;
  border-left: 15px solid transparent;
  border-right: 15px solid transparent;
  border-top: 15px solid #999;
  cursor: pointer;
}

.proGoreDole {
  display: flex;
  gap: 1rem;
}

.proTrougaoGoreDole {
  width: 2rem;
  padding-left: 0.3rem;
  padding-right: 0.3rem;
  cursor: pointer;
}

.proMobilni {
  display: none;
}

#proStrelicaLevo {
  transform: rotate(-90deg);
}

#proStrelicaDesno {
  transform: rotate(-90deg);
}

.proVelikaSlika {
  padding: 1rem;
  margin-top: 2rem;
}

#proModelVideoOkvir {
  display: none;
  width: 100%;
}

#proModelVideo {
  width: 100%;
  display: block;
}

/*
.proProstorSlike {
  max-width: 25rem;
}
*/
.proOpis {
  padding: 2rem;
  padding-left: 2rem;
  margin-top: 2rem;
  margin-bottom: 1rem;
  font-size: 0.9rem;
  line-height: normal;
  border-style: hidden;
  border-radius: 10%;
  box-shadow: 4px 4px 6px 0 rgba(255, 255, 255, 0.5),
              -4px -4px 6px 0 rgba(116, 125, 136, 0.2),
        inset -4px -4px 6px 0 rgba(255, 255, 255, 0.5),
        inset 4px 4px 6px 0 rgba(116, 125, 136, 0.3);
}

.proKvadratBoja {
  line-height: 70%;
  font-size: x-large;
}

.proBojaCRN {
  color: black;
  font-weight: bold;
}

.proBojaPLV {
  color: blue;
  font-weight: bold;
}

.proBojaCRV {
  color: red;
  font-weight: bold;
}

.proBojaZEL {
  color: green;
  font-weight: bold;
}

.proBojaZLT {
  color: gold;
  font-weight: bold;
}

.proBojaSRB {
  color: darkgray;
  font-weight: bold;
}

.proBojaTTN {
  color: darkslategrey;
  font-weight: bold;
}

.proBojaBEZ {
  color: beige;
  font-weight: bold;
}

.proBojaTPL {
  color: navy;
  font-weight: bold;
}

.proBojaTCV {
  color: darkred;
  font-weight: bold;
}

.proBojaNAR {
  color: darkorange;
  font-weight: bold;
}

/*============ MEDIA QUERIES (PHONES) ==============*/
@media screen and (max-width: 600px) {
  .odeljak {
    margin-top: 0;
  }

  .proMedjuslika {
    width: 90%;
    margin-top: 1rem;
    margin-bottom: 1rem;
  }

  .proSlikaTekstKutija {
    width: 100%;
    overflow-x: scroll;
    scrollbar-width: none;
    white-space: nowrap;
  }
  
  .proModeli {
    width: 200%;
    margin: 0;
    margin-top: 0rem;
    gap: 0rem;
  }

  .proModelKutija {
    width: 100%;
    height: 100%;
    border-radius: unset;
    background-color: var(--bojaPozadina);
  }

  .proModel {
    width: 100%;
    padding: 0;
    display: flex;
    flex-direction: column;
  }

  .proSlike {
    width: 100%;
    display: flex;
    flex-direction: column;
  }

  .proSlicice {
    width: 90%;
    margin: 0 auto;
    margin-top: 0;
    margin-bottom: 0;
  }
  
  .proSliciceGoreDole {
    width: 100%;
    height: unset;
    flex-direction: row;
  }

  .proSliciceGore {
    width: 100%;
    padding-bottom: 0;
    flex-direction: column;
    align-items: center;
  }

  .proTrougaoDesno {
    transform: rotate(90deg);
  }

  .proTrougaoLevo {
    transform: rotate(90deg);
  }

  .proSliciceSlicice {
    width: 100%;
    padding: 0.2rem;
    flex-direction: row;
  }

  .proTrougaoGore {
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-bottom: 10px solid #999;
  }
  
  .proTrougaoDole {
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 10px solid #999;
  }

  .proDesktop {
    display: none;
  }

  .proMobilni {
    display: block;
  }

  .proVelikaSlika {
    width: 70%;
    margin: 0 auto;
    padding: 0;
    margin-top: 0;
  }

  #proModelVideo {
    width: 70%;
    margin: 0 auto;
  }

  .proOpis {
    width: 70%;
    aspect-ratio: 1/1;
    margin: 0 auto;
    margin-top: 0;
    padding: 0;
    padding-bottom: 1rem;
    box-shadow: none;
    border-radius: unset;
    overflow: scroll;
    scrollbar-width: none;
  }
}